#! /bin/sh
NAME=fanctld
DESC=fanctld

case "$1" in
start)
echo -n "Starting $DESC: "
insmod /usr/local/bin/fandrv.ko
/usr/local/bin/fanctld -i60 -t40 -d /dev/sdb
echo "$NAME."
;;
stop)
echo -n "Stopping $DESC: "
echo 1 > /proc/fandrv
rmmod fandrv
kill -INT `pidof fanctld`
echo "$NAME."
;;
*)
N=/etc/init.d/$NAME
echo "Usage: $N {start|stop}" >&2
exit 1
;;
esac

exit 0

